Retrieves all unavailability types
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "24c740ab-7fea-41ba-9b44-9bb510721fdb",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "8ed66b30-abda-4d95-b6d8-c60f7e441ecc",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "e942dac1-ad82-4b4e-8741-97c98ac30ac4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "011f2a9d-4ce2-43c3-8536-f4bc43a1434b",
"db_currency_id": "3c0b4c91-9337-46d6-9f90-3702983c4198",
"db_language_id": "2bf36fec-5406-499b-8a0b-5bda9f3a8b90",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T12:12:15.8868977+00:00"
},
"modified_dateutc": "2026-11-05T12:12:15.8868977+00:00"
}